GET/Collaborators/{id}/tasks
Lists every task assigned to the collaborator, to any of its crew, or under a parent task assigned to either, in the same shape as
ProjectManagement_GetTasks and with comment author names filled in. This is the collaborator Tasks page.
Path Parameters
| Field | Type | Required | Description |
|---|
| id | uuid | Required | |
Response
Type: GetTasksResponse[]
GetTasksResponse
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| statusId | uuid| null | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| description | string| null | |
| priority | string| null | |
| index | integer | |
| parentId | uuid| null | |
| phaseId | uuid| null | |
| source | string| null | |
| sourceType | string| null | |
| sourceEntityId | uuid| null | |
| sourceContextId | uuid| null | |
| sourceNavigationId | uuid| null | |
| assignees | GetTasksResponseAssigneesList | |
| reviewers | GetTasksResponseCrewMember[]| null | |
| attributes | GetTasksResponseAttribute[]| null | |
| reviews | GetTasksResponseReview[]| null | |
| comments | GetTasksResponseComment[]| null | |
| dependents | uuid[]| null | |
| dependsOn | uuid[]| null | |
GetTasksResponseAssigneesList
| Field | Type | Description |
|---|
| crewMembers | GetTasksResponseCrewMember[]| null | |
| collaborators | GetTasksResponseCollab[]| null | |
GetTasksResponseCrewMember
| Field | Type | Description |
|---|
| id | uuid | |
| firstName | string| null | |
| lastName | string| null | |
| title | string| null | |
| connectedUserId | uuid| null | |
GetTasksResponseAttribute
| Field | Type | Description |
|---|
| attributeId | uuid | |
| value | string| null | |
GetTasksResponseReview
| Field | Type | Description |
|---|
| id | uuid | |
| crewId | uuid | |
| response | string| null | |
| createdDate | date-time | |
| Field | Type | Description |
|---|
| id | uuid | |
| userId | uuid | |
| userName | string| null | |
| commentText | string| null | |
| reviewId | uuid| null | |
| createdDate | date-time | |
GetTasksResponseCollab
| Field | Type | Description |
|---|
| id | uuid | |